Fiscal Harmony API
  1. Currency Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
        GET
      • Get All CurrencyMappings
        GET
      • Add Currency Mapping
        POST
      • Get Specific Currency Mapping
        GET
      • Update Currency Mapping
        PUT
      • Delete Currency Mapping
        DELETE
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Currency Mappings

Supported Currencies

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/currencymapping/supported-currencies
Last modified:2026-02-27 07:27:11
Receive information on the list of all supported currencies on the Fiscal Harmony platform. In ZIMRA and the Fiscal Harmony platform, there are 6 currencies supported.
CodeCurrency
USDUnited States Dollar ($)
ZWGZimbabwe Gold (ZiG)
ZARSouth African Rand (R)
BWPBotswana Pula (P)
GBPBritish Pound Sterling (£)
EUREuropean Euro (€)
You may access the supported currencies using this endpoint, especially to get information on any new or obselete currencies.

Request

Header Params

Responses

🟢200
application/json
Returns a list of supported currency codes as a string[].
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/currencymapping/supported-currencies' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
[
    "USD",
    "ZWG",
    "ZAR",
    "BWP",
    "EUR",
    "GBP"
]
Modified at 2026-02-27 07:27:11
Previous
Currency Mappings
Next
Get All CurrencyMappings
Built with